> For the complete documentation index, see [llms.txt](https://docs.payengine.co/payengine-api-v2.5/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payengine.co/payengine-api-v2.5/fee-schedules/retrieve-a-fee-schedule.md).

# Retrieve a fee schedule

## Retrieve a fee schedule's details

<mark style="color:blue;">`GET`</mark> `https://<Platform-host>/api/fee-schedules/:id`

#### Path Parameters

| Name                                 | Type   | Description               |
| ------------------------------------ | ------ | ------------------------- |
| id<mark style="color:red;">\*</mark> | string | Platform fee schedule ID |

{% tabs %}
{% tab title="200: OK " %}
{% tabs %}
{% tab title="Fee Schedule Field Definitions" %}

<table><thead><tr><th width="160.20831298828125">Field Name</th><th width="143.71875">Type</th><th width="227.46875">Description</th><th>Required</th></tr></thead><tbody><tr><td>data.name</td><td>string</td><td>Fee schedule name</td><td>Required</td></tr><tr><td>data.description</td><td>string</td><td>Fee schedule description</td><td>Required</td></tr><tr><td>data.is_default</td><td>boolean</td><td>Indicate that fee schedule will be assigned to newly created onboarding application</td><td>Required</td></tr><tr><td>data.created_at</td><td>string</td><td>Timestamp when fee schedule was created</td><td>Required</td></tr><tr><td>data.updated_at</td><td>string</td><td>Timestamp when the fee schedule was updated</td><td>Required</td></tr></tbody></table>
{% endtab %}

{% tab title="Example Response" %}

```javascript
{
    "data": {
        "id": "aba76907-2a1a-41cf-8501-5cd4ba1ff400",
        "name": "CUSTOMER_01: VS/MC/DS 2.9% + $.30; AMEX 3.4% + $.30; ACH 1% + 0.18; MONTHLY $20; PCI $79",
        "description": "VS/MC/DS 2.9% + $.30; AMEX 3.4% + $.30; ACH 1% + 0.18; MONTHLY $20; PCI $79",
        "is_default": true,
        "created_at": "2022-02-10T04:50:39.817Z",
        "updated_at": "2022-02-10T04:50:39.817Z"
    }
}
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request GET 'http://<Platform-host>/api/fee-schedules/aba76907-2a1a-41cf-8501-5cd4ba1ff400' \
--header 'Authorization: Basic <YOUR_API_SECRET>'
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
    "data": {
        "id": "aba76907-2a1a-41cf-8501-5cd4ba1ff400",
        "name": "CUSTOMER_01: VS/MC/DS 2.9% + $.30; AMEX 3.4% + $.30; ACH 1% + 0.18; MONTHLY $20; PCI $79",
        "description": "VS/MC/DS 2.9% + $.30; AMEX 3.4% + $.30; ACH 1% + 0.18; MONTHLY $20; PCI $79",
        "is_default": true,
        "created_at": "2022-02-10T04:50:39.817Z",
        "updated_at": "2022-02-10T04:50:39.817Z"
    }
}
```

{% endtab %}
{% endtabs %}
